Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals

# unix/uipopt.h File Reference

## Detailed Description

Configuration options for uIP.

Author:
  Adam Dunkels <adam@dunkels.com>

This file is used for tweaking various configuration options for uIP. You should make a copy of this file into one of your project's directories instead of editing this example "uipopt.h" file that comes with the uIP distribution.

`#include "httpd.h"`

Include dependency graph for uipopt.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | UIP_FIXEDADDR
| Determines if uIP should use a fixed IP address or not.
#define | UIP_PINGADDRCONF
| Ping IP address asignment.
#define | UIP_IPADDR0
| The first octet of the IP address of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_IPADDR1
| The second octet of the IP address of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_IPADDR2
| The third octet of the IP address of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_IPADDR3
| The fourth octet of the IP address of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_NETMASK0
| The first octet of the netmask of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_NETMASK1
| The second octet of the netmask of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_NETMASK2
| The third octet of the netmask of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_NETMASK3
| The fourth octet of the netmask of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_DRIPADDR0
| The first octet of the IP address of the default router, if UIP_FIXEDADDR is 1.
#define | UIP_DRIPADDR1
| The second octet of the IP address of the default router, if UIP_FIXEDADDR is 1.
#define | UIP_DRIPADDR2
| The third octet of the IP address of the default router, if UIP_FIXEDADDR is 1.
#define | UIP_DRIPADDR3
| The fourth octet of the IP address of the default router, if UIP_FIXEDADDR is 1.
#define | UIP_FIXEDETHADDR
| Specifies if the uIP ARP module should be compiled with a fixed Ethernet MAC address or not.
#define | UIP_ETHADDR0
| The first octet of the Ethernet address if UIP_FIXEDETHADDR is 1.
#define | UIP_ETHADDR1
| The second octet of the Ethernet address if UIP_FIXEDETHADDR is 1.
#define | UIP_ETHADDR2
| The third octet of the Ethernet address if UIP_FIXEDETHADDR is 1.
#define | UIP_ETHADDR3
| The fourth octet of the Ethernet address if UIP_FIXEDETHADDR is 1.
#define | UIP_ETHADDR4
| The fifth octet of the Ethernet address if UIP_FIXEDETHADDR is 1.
#define | UIP_ETHADDR5
| The sixth octet of the Ethernet address if UIP_FIXEDETHADDR is 1.
#define | UIP_TTL 255
| The IP TTL (time to live) of IP packets sent by uIP.
#define | UIP_REASSEMBLY
| Turn on support for IP packet reassembly.
#define | UIP_REASS_MAXAGE 40
| The maximum time an IP fragment should wait in the reassembly buffer before it is dropped.
#define | UIP_UDP
| Toggles wether UDP support should be compiled in or not.
#define | UIP_UDP_CHECKSUMS
| Toggles if UDP checksums should be used or not.
#define | UIP_UDP_CONNS
| The maximum amount of concurrent UDP connections.
#define | UIP_UDP_APPCALL
| The name of the function that should be called when UDP datagrams arrive.
#define | UIP_ACTIVE_OPEN
| Determines if support for opening connections from uIP should be compiled in.
#define | UIP_CONNS
| The maximum number of simultaneously open TCP connections.
#define | UIP_LISTENPORTS
| The maximum number of simultaneously listening TCP ports.
#define | UIP_RECEIVE_WINDOW
| The size of the advertised receiver's window.
#define | UIP_URGDATA
| Determines if support for TCP urgent data notification should be compiled in.
#define | UIP_RTO 3
| The initial retransmission timeout counted in timer pulses.
#define | UIP_MAXRTX 8
| The maximum number of times a segment should be retransmitted before the connection should be aborted.
#define | UIP_MAXSYNRTX 3
| The maximum number of times a SYN segment should be retransmitted before a connection request should be deemed to have been unsuccessful.
#define | UIP_TCP_MSS (UIP_BUFSIZE - UIP_LLH_LEN - 40)
| The TCP maximum segment size.
#define | UIP_TIME_WAIT_TIMEOUT 120
| How long a connection should stay in the TIME_WAIT state.
#define | UIP_ARPTAB_SIZE
| The size of the ARP table.
#define | UIP_ARP_MAXAGE 120
| The maxium age of ARP table entries measured in 10ths of seconds.
#define | UIP_BUFSIZE
| The size of the uIP packet buffer.
#define | UIP_STATISTICS
| Determines if statistics support should be compiled in.
#define | UIP_LOGGING
| Determines if logging of certain events should be compiled in.
#define | UIP_LLH_LEN
| The link level header length.
#define | BYTE_ORDER
| The byte order of the CPU architecture on which uIP is to be run.
## Typedefs
typedef unsigned char | u8_t
| The 8-bit unsigned data type.
typedef unsigned short | u16_t
| The 16-bit unsigned data type.
typedef unsigned short | uip_stats_t
| The statistics data type.
## Functions
void | uip_log (char *msg)
| Print out a uIP log message.